This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 819031 (CVE-2012-2314)

Summary: CVE-2012-2314 anaconda: Weak permissions by writing password configuration file in bootloader configuration module
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: anaconda-maint-list, g.kaviyarasu, jonathan, jrusnack, mads, pjones, vanmeeuwen+fedora
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120504,reported=20120502,source=redhat,cvss2=6.2/AV:L/AC:H/Au:N/C:C/I:C/A:C,rhel-5/anaconda=notaffected,rhel-6/anaconda=notaffected,fedora-15/anaconda=notaffected,fedora-16/anaconda=affected,cwe=CWE-732
Fixed In Version: grub2-1.99-13.fc16.3 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-04 19:14:51 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 819035    
Bug Blocks:    

Description Jan Lieskovsky 2012-05-04 11:59:39 EDT
A security flaw was found in the way bootloader configuration module of Anaconda, a graphical system installer, stored password hashes when performing write of password configuration file (0755 permissions were used instead of 0700 ones). A local users could use this flaw to obtain password hashes and conduct brute force password guessing attacks (possibly leading to password circumvention, machine reboot or use of custom kernel or initrd command line parameters).

Upstream patch:
[1] http://git.fedorahosted.org/git/?p=anaconda.git;a=commit;h=03ef13b625cc06873a924e0610340f8489fd92df
Comment 1 Jan Lieskovsky 2012-05-04 12:02:09 EDT
This issue did NOT affect the versions of the anaconda package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue did NOT affect the versions of the anaconda package, as shipped with Fedora release of 15.

This issue affects the version of the anaconda package, as shipped with Fedora release of 16.
Comment 2 Jan Lieskovsky 2012-05-04 12:03:44 EDT
Created anaconda tracking bugs for this issue

Affects: fedora-16 [bug 819035]
Comment 3 Jan Lieskovsky 2012-05-04 12:07:54 EDT
CVE Request:
[2] http://www.openwall.com/lists/oss-security/2012/05/04/10
Comment 5 Jan Lieskovsky 2012-05-04 12:14:55 EDT
The CVE identifier of CVE-2012-2314 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/05/04/12
Comment 6 Fedora Update System 2012-05-10 10:20:11 EDT
grub2-1.99-13.fc16.3 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.